%define name    vpnc
%define version 0.3.3
%define release 3mdk

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        A free vpn client for the Cisco 3000 concentrators
Source0:        %{name}-%{version}.tar.bz2
Patch0:		vpnc-0.3.3-iproute.patch.bz2
License:        GPL
Group:          Networking/Other
Url:            http://www.unix-ag.uni-kl.de/~massar/vpnc/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:       iproute2
BuildRequires:  libgcrypt-devel
Provides: 	kvpnc-backend

%description
A free vpn client for cisco3000 VPN Concentrator, completly in userspace,
require Universal TUN/TAP device driver support compiled in the kernel 
or as module

%prep
%setup -q
%patch0 -p0

perl -pi -e 's|/var/run/vpnc/|%{_localstatedir}/%{name}/|' vpnc-script
perl -pi -e 's|/var/run/vpnc/pid|/var/run/vpnc.pid|' config.c vpnc-disconnect
perl -pi -e 's|CFLAGS=|CFLAGS+=|' Makefile

%build

export CFLAGS=$RPM_OPT_FLAGS
%make

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{_sbindir}
install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man8/
install -d -m 755 $RPM_BUILD_ROOT%{_localstatedir}/%{name}
install -m 755 {vpnc,vpnc-script,vpnc-disconnect} $RPM_BUILD_ROOT%{_sbindir}
install -m 755 pcf2vpnc $RPM_BUILD_ROOT%{_bindir}
install -m 755 vpnc.8 $RPM_BUILD_ROOT%{_mandir}/man8
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
ln -s %{_sbindir}/vpnc-script $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/vpnc-script



%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING README TODO VERSION
%{_mandir}/man8/vpnc.8*
%{_sbindir}/*
%{_bindir}/pcf2vpnc
%{_localstatedir}/%{name}
%{_sysconfdir}/%{name}

%changelog
* Fri Sep 30 2005 Couriousous <couriousous@mandriva.org> 0.3.3-3mdk
- Add Jan Ciger patch to fix vpnc with lastest iproute ( #18940 )

* Tue May 24 2005 Couriousous <couriousous@mandriva.org> 0.3.3-2mdk
- Add vpnc-disconnect
- Fix pid file

* Sat May 14 2005 Couriousous <couriousous@mandriva.org> 0.3.3-1mdk
- 0.3.3 :
	- fix amd64
	- some fix
	- use vpnc-script instead vpnc-connect/vpnc-disconnect
	  now, to connect use "vpnc configfile" and to disconnect
	  simply send a TERM signal to vpnc process.

* Sun Jan 16 2005 Couriousous <couriousous@mandrake.org> 0.3.2-3mdk
- From Viorxus <viorxus at gmx.net>:
  - Fix disconnect script with new bash

* Sun Dec 26 2004 Couriousous <couriousous@mandrake.org> 0.3.2-2mdk
- Provide kvpnc-backend
- Better disconnection handling ( add --end-script option to vpnc )

* Mon Nov 22 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.3.2-1mdk 
- Couriousous <couriousous@zarb.org> :
 - 0.3.2

* Sun Nov 14 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.3.1-1mdk 
- Couriousous <couriousous@zarb.org> :
 - Patch vpnc to reset the old dns on sigterm 
 - Patch vpnc-disconnect to send sighup on disconnect
 - Set vpnc temp dns file to %{_localstatedir}/%{name}/resolv.conf
 - 0.3.1

* Tue Jul 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.1-5mdk
- add buildrequires

* Sun Jul 25 2004 Couriousous <couriousous@zarb.org> 0.2.1-4mdk
- Patch vpnc-{connect,disconnect} to handle the dns correctly

* Sun Jul 18 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.2.1-3mdk 
- Couriousous <couriousous@zarb.org> :
 - Use CFLAGS correctly
 - Patch vpnc-connect to load the tun module when needed

* Thu Jul 01 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.2.1-2mdk 
- dropped patch, install manually
- use %{_localstatedir}/%{name} for state files

* Fri Jun 25 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.2.1-1mdk 
- contributed by Couriousous <couriousous@sceen.net>
